CREATE FUNCTION CF_Produc_Ocup_Cont(@Id_Producto VARCHAR(14),@Fecha DATETIME) 
RETURNS INT
AS
BEGIN

DECLARE @Id_Contrato INT

SET @Id_Contrato = (SELECT TOP 1 A.Id_Contrato FROM Contratos_Prod A, Contratos B 
                          WHERE A.Id_Contrato = B.Id_Contrato 
                          AND B.Fecha_Desde <= @Fecha + 1 AND ISNULL(B.Fecha_Hasta,@Fecha +1) >= @Fecha - 1
                          AND A.Id_Producto = @Id_Producto 
						  AND B.Activo = 1
						  ORDER BY B.Id_Contrato)
RETURN ISNULL(@Id_Contrato,0)
END

